require 'test/unit'
require 'browser'
require 'test-util'
require 'bigger-browser-gestures'

class AbstractedTests < Test::Unit::TestCase
  include PageAssertions
  
  def setup
    @browser = Browser.new
  end

  def test_cannot_append_to_a_nominal_audit
    go('http://app.com/app')

    login('unimportant', 'unimportant')
    new_case('unimportant', '213')
    new_visit('unimportant', '100', nil)
    new_audit('unimportant', 'nominal')

    assert_page_title('Case Management')
    assert_page_has_no_button_labeled('Add Audit')
  end

end


