require 'configuration'
require 'test/unit'
require 'test-util.rb'

class DeclarativeTests < Test::Unit::TestCase
  include PageAssertions

  def setup
    @browser = Browser.new
  end

  def test_cannot_append_to_a_nominal_audit
    @browser.as_our_story_begins {
      we_have_an_audit_record_with(:variance => 'nominal')
      we_are_at(:case_display_page)
    }

    # This should check the id, rather than the screen name, but this
    # is clearer for demo purposes.
    assert_page_has_no_button_labeled('Add Audit')
  end

end


